summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-12-22 06:49:19 +0100
committerHans de Graaff <graaff@gentoo.org>2018-12-22 06:49:19 +0100
commit3853f9eb18437f7a2b58ec0d95ffbb2e5a604dcf (patch)
tree53840547387cf92dfc754838d288a779965fa922
parentmedia-libs/exiftool: version bump to 11.23 (diff)
downloadgentoo-3853f9eb18437f7a2b58ec0d95ffbb2e5a604dcf.tar.gz
gentoo-3853f9eb18437f7a2b58ec0d95ffbb2e5a604dcf.tar.bz2
gentoo-3853f9eb18437f7a2b58ec0d95ffbb2e5a604dcf.zip
dev-ruby/tomlrb: add 1.2.8
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--dev-ruby/tomlrb/Manifest1
-rw-r--r--dev-ruby/tomlrb/tomlrb-1.2.8.ebuild26
2 files changed, 27 insertions, 0 deletions
diff --git a/dev-ruby/tomlrb/Manifest b/dev-ruby/tomlrb/Manifest
index d5f0d32b395..0b087d68d54 100644
--- a/dev-ruby/tomlrb/Manifest
+++ b/dev-ruby/tomlrb/Manifest
@@ -1 +1,2 @@
DIST tomlrb-1.2.6.tar.gz 15642 BLAKE2B 4f9d19fd66a88a049360f6d3636fcaf6caa7164149a543db5a162ee48c8fb301a4a884dc77d183a9c9f190d6f9e9e92bca66179c250f240d7014791f11f7a600 SHA512 ada1d801ceda014d4ef9d3c973a14b970ad592323c259dfe0e851c00b554551d59010bb65ee64f8acbf5521132d2fdb4de14306c1a2dd6bf5307035bca100fcf
+DIST tomlrb-1.2.8.tar.gz 15897 BLAKE2B 536eaf3a2cb2b7e54e91aac28032b95900f53c0c9b10fb48129bd963e0efab1711848cefeb20c5df3bb5ea367dc375188db57b79990daf3e62f8b781477ea30e SHA512 a6f8a7ae5db02a8efca8ae75fc1a680d26016d221ec238e4f5ecd59bead4efff7cfe14f541a0be17ea6790699aeb7621d9a4d1b7e38a40828f8f66424fc9fb94
diff --git a/dev-ruby/tomlrb/tomlrb-1.2.8.ebuild b/dev-ruby/tomlrb/tomlrb-1.2.8.ebuild
new file mode 100644
index 00000000000..19408d011ca
--- /dev/null
+++ b/dev-ruby/tomlrb/tomlrb-1.2.8.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A racc based toml parser"
+HOMEPAGE="https://github.com/fbernier/tomlrb/"
+SRC_URI="https://github.com/fbernier/tomlrb/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/reporters/I s:^:#:' test/minitest_helper.rb || die
+}